> For the complete documentation index, see [llms.txt](https://docs.valtimo.nl/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.valtimo.nl/v12/running-valtimo/application-configuration/temporary-file-storage.md).

# Temporary file storage

Temporary resource storage provides a service for storing files locally, e.g. to process it during following tasks. These files are removed after a preconfigured time and should be processed further before that timer ends.

> This page is missing information. Would you like to contribute? Please read [Contributing to Valtimo](broken://pages/Vh8fwBABrBva9fbRcS1D)

## Whitelisting file types for uploads

Available since 10.7.0

It is possible to restrict the allowed files types for upload. When uploading, the detected mime-type of a file is checked against the configured whitelist.

The whitelist can be configured as follows in the application properties:

```yaml
valtimo:
  upload:
    acceptedMimeTypes:
      - text/plain
      - application/pdf
      - image/jpeg
      - application/xml
```

When the whitelist is not defined or empty, no filtering will be applied.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.valtimo.nl/v12/running-valtimo/application-configuration/temporary-file-storage.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
